---

# You can install several kimai instances on the same host
# just make sure to set a different instance id for each
# You can set it to a number or a simple string (no special chars)
kimai_id: 1
# Kimai version to deploy
kimai_version: '1.22.1'

# URL of the archive
kimai_archive_url: https://github.com/kevinpapst/kimai2/archive/refs/tags/{{ kimai_version }}.tar.gz
# Expected sha256 of the archive
kimai_archive_sha256: 07a6b8e0d0376bd6f55d6093b1be923a9dfb28ef96eadac807758a6861085a13

# Directory where kimai will be installed
kimai_root_dir: /opt/kimai_{{ kimai_id }}
# Should ansible handle upgrades or only initial install
kimai_manage_upgrade: True

# User under which PHP will run
# Will be created
kimai_php_user: php-kimai_{{ kimai_id }}
# PHP version under which kimai will run
kimai_php_version: 81
# Or you can specify here the name of a custom PHP FPM pool. See the httpd_php role
# bookstack_php_fpm_pool: custom_kimai

# If you want to configure the access to kimai on your main vhost
# kimai_web_alias: /kimai
# If not set, you'll need to create a dedicated vhost (see httpd_common role)
kimai_web_alias: False
kimai_public_url: http://{{ inventory_hostname }}
# If you set kimai_src_ip, it'll be considered a list of trusted proxies
kimai_src_ip: []

# An app specific secret. If not defined, a random one will be created and stored under {{ kimai_root_dir }}/meta/ansible_secret_key
# kimai_secret_key: S3cr3t.

# Database settings
kimai_db_server: "{{ mysql_server | default('localhost') }}"
kimai_db_port: 3306
kimai_db_name: kimai_{{ kimai_id }}
kimai_db_user: kimai_{{ kimai_id }}
# If the pass is not set, a random one will be created and store in {{ kimai_root_dir }}/meta/ansible_dbpass
# kimai_db_pass: S3cr3t.

# A default admin user will be created during installation
# If its password isn't set, a random one will be configured and stored in {{ kimai_root_dir }}/meta/ansible_admin_pass
# Note that this user is only created on first installed, and will not be checked or created again on next runs
kimai_admin_user: admin@{{ ansible_domain }}
# kimai_admin_pass÷ S3cr3t.

# Custom configuration. Will be loaded in {{ kimai_root_dir }}/app/config/packages/local.yaml
kimai_base_settings:
  kimai:
# Better to override kimai_extra_settings so future defaults will be merged with your custom settings.
# For example, to set SAML auth (example working with Lemonldap::NG as SAML idp
# kimai_extra_settings:
#   kimai:
#     saml:
#       activate: true
#       title: 'SSO'
#       mapping:
#         - { saml: $mail, kimai: email }
#         - { saml: $principal, kimai: username }
#         - { saml: $cn, kimai: alias }
#       roles:
#         attribute: groups
#         mapping:
#           - { saml: Role_Infra_Admin, kimai: ROLE_ADMIN }
#           - { saml: Projet, kimai: ROLE_TEAMLEAD }
#       connection:
#         idp:
#             entityId: 'https://sso.example.org/saml/metadata'
#             singleSignOnService:
#               url: 'https://sso.example.org/saml/singleSignOn'
#             x509cert: 'MIICsDCCAZigAwIBAgIEAE11GTANBgkqhkiG9w0BAQsFADAaMRgwFgYDVQQBDA9zc28ubGFwaW9sZS5vcmcwHhcNMjEwMzE1MTExMzMyWhcNNDEwMzEwMTExMzMyWjAaMRgwFgYDVQQDDA9zc28ubGFwaW9sZS5vcmcwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQC+sPo4pned1vg9IoHVhHoPVeWEKOsYet1NL9eZu5mBI1gg6J+ffiv0Exy+FuISdaRoqPijeUX32TZlgk8cIleANH/Q+FFdsVdqBtpo4Oh5kozT+Ztr6UFcc6rRVOlmFnp4J3A3xUnumBABAeCKu6htA6oxe1NUh+wEs38BakMHlrSThJRODtZPo7jTcI9ZXHRnTpo2CQU5KxIXw2aHo6mmVH6/BGkU8m0OoRAfqJe9zLDnUYOP6cJckEwED6IcaXF1eXdXIRhhBn7Awmob/xoOYh+TzrY3OCLRQ/LZ3zvv0sTi8k4RU2ne3Bi54aVOEXYo4X45vEDt8akzDYjhyrNVAgMBAAEwDQYJKoZIhvcNAQELBQADggEBAG5G/Zp4g+0znft8mB42XYRxHqT1DCCdgkWL8j6JgVixQO8IP+yDFcHi+DUwhC1YfMqtlfD1V/kr9t/QA38v7PsZz7N6mCmwQv2LIbHMsfq7bF7NGQl//50cPmKRfuJgMc7Qh479XKJKUkdo4q5xLMlJGI+hnou3Wi2dcMLgp042Ws+ZOTUaRVOZJ2NGeNJ/18z6kME0MNNL/ytp0bP+2lbAPUNyDmVDDxDa7/Xz87onfQpzs8rNyO2QpCHjVNyRFpdzb2K4j9IUCqKWl8NTVnCx0hAgspOKAIXKsy8UUR4FOyypmIHU4Z1gU7US2KRrCnnmC1U0ogUZC4FXzNfLetA='
#         sp:
#           entityId: 'https://temps.example.org/auth/saml/metadata'
#           assertionConsumerService:
#             url: 'https://temps.example.org/auth/saml/acs'
#         baseurl: https://temps.example.org/auth/saml
#         strict: true
#         debug: true

kimai_extra_settings: {}
kimai_settings: "{{ kimai_base_settings | combine(kimai_extra_settings, recursive=True) }}"
